unit uViewReciboCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, uBizRecibosCliente, DB, uDADataTable, dxLayoutControl,
  cxControls, cxCurrencyEdit, cxDBEdit, cxMemo, cxMaskEdit, cxDropDownEdit,
  cxCalendar, cxContainer, cxEdit, cxTextEdit, dxLayoutLookAndFeels, ExtCtrls,
  uDAInterfaces;

type
  IViewReciboCliente = interface(IViewBase)
  ['{5DDA0CF0-1A57-492E-B7AE-614E6A7236B5}']
    function GetRecibo: IBizRecibosCliente;
    procedure SetRecibo(const Value: IBizRecibosCliente);
    property Recibo: IBizRecibosCliente read GetRecibo write SetRecibo;
  end;


  TfrViewReciboCliente = class(TfrViewBase, IViewReciboCliente)
    DADataSource: TDADataSource;
    dxLayoutControl1Group_Root: TdxLayoutGroup;
    dxLayoutControl1: TdxLayoutControl;
    dxLayoutControl1Item1: TdxLayoutItem;
    eReferencia: TcxDBTextEdit;
    dxLayoutControl1Item2: TdxLayoutItem;
    eSituacion: TcxDBTextEdit;
    dxLayoutControl1Item3: TdxLayoutItem;
    edtFechaVencimiento: TcxDBDateEdit;
    dxLayoutControl1Item5: TdxLayoutItem;
    memObservaciones: TcxDBMemo;
    dxLayoutControl1Group1: TdxLayoutGroup;
    dxLayoutControl1Item7: TdxLayoutItem;
    eFechaEmision: TcxDBTextEdit;
    dxLayoutControl1Item8: TdxLayoutItem;
    eFormaPago: TcxDBTextEdit;
    dxLayoutControl1Item9: TdxLayoutItem;
    eImporteTotal: TcxDBCurrencyEdit;
    dxLayoutControl1Group5: TdxLayoutGroup;
    dxLayoutControl1Item10: TdxLayoutItem;
    eNombreCliente: TcxDBTextEdit;
    dxLayoutControl1Item11: TdxLayoutItem;
    eNifCif: TcxDBTextEdit;
    dxLayoutControl1Group6: TdxLayoutGroup;
    dxLayoutControl1Group8: TdxLayoutGroup;
    dxLayoutControl1Item16: TdxLayoutItem;
    eRemesa: TcxDBTextEdit;
    dxLayoutLookAndFeelList1: TdxLayoutLookAndFeelList;
    dxLayoutOfficeLookAndFeel1: TdxLayoutOfficeLookAndFeel;
    dxLayoutControl1Group7: TdxLayoutGroup;
    dxLayoutControl1Item19: TdxLayoutItem;
    edtFechaEmision: TcxDBDateEdit;
    dxLayoutControl1Item4: TdxLayoutItem;
    rRefReciboCompensado: TcxDBTextEdit;
    dxLayoutControl1Group2: TdxLayoutGroup;
    dxLayoutControl1Group3: TdxLayoutGroup;
    dxLayoutControl1Item6: TdxLayoutItem;
    eConcepto: TcxDBTextEdit;
    dxLayoutControl1Item15: TdxLayoutItem;
    eCuenta: TcxDBTextEdit;
  private
    FRecibo : IBizRecibosCliente;
    function GetRecibo: IBizRecibosCliente;
    procedure SetRecibo(const Value: IBizRecibosCliente);
  public
    property Recibo: IBizRecibosCliente read GetRecibo write SetRecibo;
  end;

var
  frViewReciboCliente: TfrViewReciboCliente;

implementation

{$R *.dfm}

{ TfrViewReciboCliente }

function TfrViewReciboCliente.GetRecibo: IBizRecibosCliente;
begin
  Result := FRecibo;
end;

procedure TfrViewReciboCliente.SetRecibo(const Value: IBizRecibosCliente);
begin
  FRecibo := Value;
  if Assigned(FRecibo) then
    DADataSource.DataTable := FRecibo.DataTable
  else
    DADataSource.DataTable := NIL;
end;

end.
